CHECKPOINT(7)

NAME
CHECKPOINT - force a transaction log checkpoint

SYNOPSIS

CHECKPOINT

DESCRIPTION

Write-Ahead Logging (WAL) puts a checkpoint in the transaction log every so often. (To adjust the automatic checkpoint interval, see the run-time configuration options CHECKPOINT_SEGMENTS and CHECKPOINT_TIMEOUT.) The CHECKPOINT command forces an immediate checkpoint when the command is issued, without waiting for a scheduled checkpoint.

A checkpoint is a point in the transaction log sequence at which all data files have been updated to reflect the information in the log. All data files will be flushed to disk. Refer to the PostgreSQL Administrator's Guide for more information about the WAL system.

Only superusers may call CHECKPOINT. The command is not intended for use during normal operation.

SEE ALSO

PostgreSQL Administrator's Guide

COMPATIBILITY

The CHECKPOINT command is a PostgreSQL language extension.